package io.swagger.model;

import io.swagger.model.PhenomCode;
import io.swagger.model.PhenomDesc;
import io.swagger.model.Significance;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.Date;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * A NWS Warnings object.
 **/
@Schema(description="A NWS Warnings object.")
public class NwsWarningsObj   {
  
  @Schema(required = true, description = "")
  private Date timestampExpires = null;
  
  @Schema(required = true, description = "")
  private PhenomCode phenomCode = null;
  
  @Schema(required = true, description = "")
  private PhenomDesc phenomDesc = null;
  
  @Schema(required = true, description = "")
  private Significance significance = null;
 /**
   * Get timestampExpires
   * @return timestampExpires
  **/
  @JsonProperty("timestampExpires")
  public Date getTimestampExpires() {
    return timestampExpires;
  }

  public void setTimestampExpires(Date timestampExpires) {
    this.timestampExpires = timestampExpires;
  }

  public NwsWarningsObj timestampExpires(Date timestampExpires) {
    this.timestampExpires = timestampExpires;
    return this;
  }

 /**
   * Get phenomCode
   * @return phenomCode
  **/
  @JsonProperty("phenomCode")
  public PhenomCode getPhenomCode() {
    return phenomCode;
  }

  public void setPhenomCode(PhenomCode phenomCode) {
    this.phenomCode = phenomCode;
  }

  public NwsWarningsObj phenomCode(PhenomCode phenomCode) {
    this.phenomCode = phenomCode;
    return this;
  }

 /**
   * Get phenomDesc
   * @return phenomDesc
  **/
  @JsonProperty("phenomDesc")
  public PhenomDesc getPhenomDesc() {
    return phenomDesc;
  }

  public void setPhenomDesc(PhenomDesc phenomDesc) {
    this.phenomDesc = phenomDesc;
  }

  public NwsWarningsObj phenomDesc(PhenomDesc phenomDesc) {
    this.phenomDesc = phenomDesc;
    return this;
  }

 /**
   * Get significance
   * @return significance
  **/
  @JsonProperty("significance")
  public Significance getSignificance() {
    return significance;
  }

  public void setSignificance(Significance significance) {
    this.significance = significance;
  }

  public NwsWarningsObj significance(Significance significance) {
    this.significance = significance;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NwsWarningsObj {\n");
    
    sb.append("    timestampExpires: ").append(toIndentedString(timestampExpires)).append("\n");
    sb.append("    phenomCode: ").append(toIndentedString(phenomCode)).append("\n");
    sb.append("    phenomDesc: ").append(toIndentedString(phenomDesc)).append("\n");
    sb.append("    significance: ").append(toIndentedString(significance)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
