package io.swagger.model;

import io.swagger.model.FieldListObj;
import io.swagger.model.NwsWarningsArr;
import io.swagger.model.PointObj;
import io.swagger.v3.oas.annotations.media.Schema;

import io.swagger.v3.oas.annotations.media.Schema;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonValue;
import com.fasterxml.jackson.annotation.JsonCreator;

/**
  * Latitude/Longitude NWS Warnings object
 **/
@Schema(description="Latitude/Longitude NWS Warnings object")
public class NwsWarningsPointObj   {
  
  @Schema(required = true, description = "")
  private PointObj location = null;
  
  @Schema(required = true, description = "")
  private FieldListObj fieldList = null;
  
  @Schema(required = true, description = "")
  private NwsWarningsArr warnings = null;
 /**
   * Get location
   * @return location
  **/
  @JsonProperty("location")
  public PointObj getLocation() {
    return location;
  }

  public void setLocation(PointObj location) {
    this.location = location;
  }

  public NwsWarningsPointObj location(PointObj location) {
    this.location = location;
    return this;
  }

 /**
   * Get fieldList
   * @return fieldList
  **/
  @JsonProperty("fieldList")
  public FieldListObj getFieldList() {
    return fieldList;
  }

  public void setFieldList(FieldListObj fieldList) {
    this.fieldList = fieldList;
  }

  public NwsWarningsPointObj fieldList(FieldListObj fieldList) {
    this.fieldList = fieldList;
    return this;
  }

 /**
   * Get warnings
   * @return warnings
  **/
  @JsonProperty("warnings")
  public NwsWarningsArr getWarnings() {
    return warnings;
  }

  public void setWarnings(NwsWarningsArr warnings) {
    this.warnings = warnings;
  }

  public NwsWarningsPointObj warnings(NwsWarningsArr warnings) {
    this.warnings = warnings;
    return this;
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NwsWarningsPointObj {\n");
    
    sb.append("    location: ").append(toIndentedString(location)).append("\n");
    sb.append("    fieldList: ").append(toIndentedString(fieldList)).append("\n");
    sb.append("    warnings: ").append(toIndentedString(warnings)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private static String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
