package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;


/**
 * A 2-character string indicating the phenomena for which the advisory, watch, or warning was issued.
 */
public enum PhenomCode {
  AF("AF"),
  
  AS("AS"),
  
  BH("BH"),
  
  BW("BW"),
  
  BZ("BZ"),
  
  CF("CF"),
  
  DF("DF"),
  
  DS("DS"),
  
  DU("DU"),
  
  EC("EC"),
  
  EH("EH"),
  
  EW("EW"),
  
  FA("FA"),
  
  FF("FF"),
  
  FG("FG"),
  
  FL("FL"),
  
  FR("FR"),
  
  FW("FW"),
  
  FZ("FZ"),
  
  GL("GL"),
  
  HF("HF"),
  
  HT("HT"),
  
  HU("HU"),
  
  HW("HW"),
  
  HY("HY"),
  
  HZ("HZ"),
  
  IS("IS"),
  
  LE("LE"),
  
  LO("LO"),
  
  LS("LS"),
  
  LW("LW"),
  
  MA("MA"),
  
  MF("MF"),
  
  MH("MH"),
  
  MS("MS"),
  
  RP("RP"),
  
  SC("SC"),
  
  SE("SE"),
  
  SM("SM"),
  
  SQ("SQ"),
  
  SR("SR"),
  
  SS("SS"),
  
  SU("SU"),
  
  SV("SV"),
  
  TO("TO"),
  
  TR("TR"),
  
  TS("TS"),
  
  TY("TY"),
  
  UP("UP"),
  
  WC("WC"),
  
  WI("WI"),
  
  WS("WS"),
  
  WW("WW"),
  
  ZF("ZF"),
  
  ZY("ZY");

  private String value;

  PhenomCode(String value) {
    this.value = value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static PhenomCode fromValue(String text) {
    for (PhenomCode b : PhenomCode.values()) {
      if (String.valueOf(b.value).equals(text)) {
        return b;
      }
    }
    return null;
  }
  
}
