package io.swagger.model;

import io.swagger.v3.oas.annotations.media.Schema;


/**
 * Description of the phenomena for which the advisory, watch, or warning was issued.
 */
public enum PhenomDesc {
  ASHFALL_LAND_("Ashfall (land)"),
  
  AIR_STAGNATION("Air Stagnation"),
  
  BEACH_HAZARD("Beach Hazard"),
  
  BRISK_WIND("Brisk Wind"),
  
  BLIZZARD("Blizzard"),
  
  COASTAL_FLOOD("Coastal Flood"),
  
  DEBRIS_FLOW("Debris Flow"),
  
  DUST_STORM("Dust Storm"),
  
  BLOWING_DUST("Blowing Dust"),
  
  EXTREME_COLD("Extreme Cold"),
  
  EXCESSIVE_HEAT("Excessive Heat"),
  
  EXTREME_WIND("Extreme Wind"),
  
  FLOOD("Flood"),
  
  FLASH_FLOOD("Flash Flood"),
  
  DENSE_FOG_LAND_("Dense Fog (land)"),
  
  FLOOD_FORECAST_POINT_("Flood (forecast point)"),
  
  FROST("Frost"),
  
  FIRE_WEATHER("Fire Weather"),
  
  FREEZE("Freeze"),
  
  GALE("Gale"),
  
  HURRICANE_FORCE_WIND("Hurricane Force Wind"),
  
  HEAT("Heat"),
  
  HURRICANE("Hurricane"),
  
  HIGH_WIND("High Wind"),
  
  HYDROLOGIC("Hydrologic"),
  
  HARD_FREEZE("Hard Freeze"),
  
  ICE_STORM("Ice Storm"),
  
  LAKE_EFFECT_SNOW("Lake Effect Snow"),
  
  LOW_WATER("Low Water"),
  
  LAKESHORE_FLOOD("Lakeshore Flood"),
  
  LAKE_WIND("Lake Wind"),
  
  MARINE("Marine"),
  
  DENSE_FOG_MARINE_("Dense Fog (marine)"),
  
  ASHFALL_MARINE_("Ashfall (marine)"),
  
  DENSE_SMOKE_MARINE_("Dense Smoke (marine)"),
  
  RIP_CURRENT_RISK("Rip Current Risk"),
  
  SMALL_CRAFT("Small Craft"),
  
  HAZARDOUS_SEAS("Hazardous Seas"),
  
  DENSE_SMOKE_LAND_("Dense Smoke (land)"),
  
  SNOW_SQUALL("Snow Squall"),
  
  STORM("Storm"),
  
  STORM_SURGE("Storm Surge"),
  
  HIGH_SURF("High Surf"),
  
  SEVERE_THUNDERSTORM("Severe Thunderstorm"),
  
  TORNADO("Tornado"),
  
  TROPICAL_STORM("Tropical Storm"),
  
  TSUNAMI("Tsunami"),
  
  TYPHOON("Typhoon"),
  
  HEAVY_FREEZING_SPRAY("Heavy Freezing Spray"),
  
  WIND_CHILL("Wind Chill"),
  
  WIND("Wind"),
  
  WINTER_STORM("Winter Storm"),
  
  WINTER_WEATHER("Winter Weather"),
  
  FREEZING_FOG("Freezing Fog"),
  
  FREEZING_SPRAY("Freezing Spray");

  private String value;

  PhenomDesc(String value) {
    this.value = value;
  }

  @Override
  public String toString() {
    return String.valueOf(value);
  }

  public static PhenomDesc fromValue(String text) {
    for (PhenomDesc b : PhenomDesc.values()) {
      if (String.valueOf(b.value).equals(text)) {
        return b;
      }
    }
    return null;
  }
  
}
